<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:30 GMT 2020 -->
<title>Menu</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Menu";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Game/MapId.html" title="class in Game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Game/Room.html" title="class in Game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Game/Menu.html" target="_top">Frames</a></li>
<li><a href="Menu.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">Game</div>
<h2 title="Class Menu" class="title">Class Menu</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>Game.Menu</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Menu</span>
extends java.lang.Object</pre>
<div class="block">Class to showing menu, set map, difficulty and start game</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#DIVIDER">DIVIDER</a></span></code>
<div class="block">Variable to do not repeat every time want use divider</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../Game/Game.html" title="class in Game">Game</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#game">game</a></span></code>
<div class="block">Class Game to start after fill all necessary data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#LINE">LINE</a></span></code>
<div class="block">Variable to do not repeat every time want use line</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Scanner</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#scanner">scanner</a></span></code>
<div class="block">Scanner to reuse on menus
 This way it is not necessary to re-create when necessary</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#validCase">validCase</a></span></code>
<div class="block">Variable boolean to stop the while loop when enter in valid switch case</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#Menu--">Menu</a></span>()</code>
<div class="block">Method to user set the map</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#displayMaps--">displayMaps</a></span>()</code>
<div class="block">Method to print maps and return number of maps</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#getMapChoice-java.lang.String-">getMapChoice</a></span>(java.lang.String&nbsp;choice)</code>
<div class="block">Method to validate map and return the map file name</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private java.util.Iterator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#getMapsArray--">getMapsArray</a></span>()</code>
<div class="block">Method to get a JSONArray with all maps in directory Map
 This JSONArray contains JSON Object with fileName (name of file in Map folder) and
 mapName (element "nome" in JSON file)</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#manualMode--">manualMode</a></span>()</code>
<div class="block">Method to set name of player and start manual mode</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#returnToMenu--">returnToMenu</a></span>()</code>
<div class="block">Method to print option to return menu or not
 This method was created to avoid repeating every time it was necessary to execute this option
 
 Press Y to yes or N to exit</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../Game/Menu.html#start--">start</a></span>()</code>
<div class="block">Method to show menu after choosed map and difficulty</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DIVIDER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DIVIDER</h4>
<pre>private static&nbsp;java.lang.String DIVIDER</pre>
<div class="block">Variable to do not repeat every time want use divider</div>
</li>
</ul>
<a name="LINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINE</h4>
<pre>private static&nbsp;java.lang.String LINE</pre>
<div class="block">Variable to do not repeat every time want use line</div>
</li>
</ul>
<a name="scanner">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scanner</h4>
<pre>private&nbsp;java.util.Scanner scanner</pre>
<div class="block">Scanner to reuse on menus
 This way it is not necessary to re-create when necessary</div>
</li>
</ul>
<a name="validCase">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validCase</h4>
<pre>private&nbsp;boolean validCase</pre>
<div class="block">Variable boolean to stop the while loop when enter in valid switch case</div>
</li>
</ul>
<a name="game">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>game</h4>
<pre>private&nbsp;<a href="../Game/Game.html" title="class in Game">Game</a> game</pre>
<div class="block">Class Game to start after fill all necessary data</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Menu--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Menu</h4>
<pre>private&nbsp;Menu()
      throws java.io.IOException,
             org.json.simple.parser.ParseException</pre>
<div class="block">Method to user set the map</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.json.simple.parser.ParseException</code> - Parse error</dd>
<dd><code>java.io.IOException</code> - IO error</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="main-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>main</h4>
<pre>public static&nbsp;void&nbsp;main(java.lang.String[]&nbsp;args)</pre>
</li>
</ul>
<a name="displayMaps--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>displayMaps</h4>
<pre>private&nbsp;int&nbsp;displayMaps()
                 throws java.io.IOException,
                        org.json.simple.parser.ParseException</pre>
<div class="block">Method to print maps and return number of maps</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of maps</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - Input or Output error</dd>
<dd><code>org.json.simple.parser.ParseException</code> - Error on parse</dd>
</dl>
</li>
</ul>
<a name="getMapChoice-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMapChoice</h4>
<pre>private&nbsp;java.lang.String&nbsp;getMapChoice(java.lang.String&nbsp;choice)
                               throws java.io.IOException,
                                      org.json.simple.parser.ParseException</pre>
<div class="block">Method to validate map and return the map file name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>choice</code> - number of option</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>file name to use on class Game</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - Input or Output error</dd>
<dd><code>org.json.simple.parser.ParseException</code> - Error on parse</dd>
</dl>
</li>
</ul>
<a name="start--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>start</h4>
<pre>public&nbsp;void&nbsp;start()</pre>
<div class="block">Method to show menu after choosed map and difficulty</div>
</li>
</ul>
<a name="manualMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>manualMode</h4>
<pre>private&nbsp;void&nbsp;manualMode()</pre>
<div class="block">Method to set name of player and start manual mode</div>
</li>
</ul>
<a name="returnToMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>returnToMenu</h4>
<pre>private&nbsp;void&nbsp;returnToMenu()</pre>
<div class="block">Method to print option to return menu or not
 This method was created to avoid repeating every time it was necessary to execute this option
 <p>
 Press Y to yes or N to exit</div>
</li>
</ul>
<a name="getMapsArray--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMapsArray</h4>
<pre>private&nbsp;java.util.Iterator&nbsp;getMapsArray()
                                 throws java.io.IOException,
                                        org.json.simple.parser.ParseException</pre>
<div class="block">Method to get a JSONArray with all maps in directory Map
 This JSONArray contains JSON Object with fileName (name of file in Map folder) and
 mapName (element "nome" in JSON file)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Json Array with all maps in directory Map</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - IO error</dd>
<dd><code>org.json.simple.parser.ParseException</code> - if was any error on parse</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../Game/MapId.html" title="class in Game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../Game/Room.html" title="class in Game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?Game/Menu.html" target="_top">Frames</a></li>
<li><a href="Menu.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
